Subject: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Oct 2023 10:56:50 -0400

> OK, and why is it such a reply does not suffice?  And why would any
> measure short of initializing lexical-binding to t eliminate these
> people, when so many have failed in the past?

Initializing lexical-binding to t by default is currently not an option,
because it would introduce too much breakage.  For this reason, we need
to take smaller steps that will later make this change possible.

> How will the automatic insertion of lexical binding cookies in new files
> affect M-: or IELM, both of which already execute lexically bound code?

Because it will reduce the occurrence of the case where I copy a chunk
of code which relies on dynbind and then incorrectly execute it in
lexbind mode in `M-:` or ielm.

        Stefan